Bug 110607 - mozilla packages fial in up2date wit hmd5 errors..
mozilla packages fial in up2date wit hmd5 errors..
Status: CLOSED DUPLICATE of bug 111601
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
1
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-21 12:48 EST by Brian May
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:00:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian May 2003-11-21 12:48:25 EST
Description of problem:
up2date failed to install some mozilla packages (mozilla-mail,
mozilla-nspr and mozilla-nss) due to md5sum errors, while yum update
did not complain

Version-Release number of selected component (if applicable):
up2date-4.1.16-1

How reproducible:
up2date -u

Steps to Reproduce:
1. start up2date
2. update packages
3. Profit!  err package install errors with md5 checksum errors
Comment 1 P Fudd 2004-02-06 04:06:32 EST
The error is caused by the rpms being cut in half.

rpm -Kv the.rpm.file.i386.rpm
If both md5 and gpg keys are bad, then the size is probably wrong.

Workaround: Download the file again, using something like 'wget -c ...'.

Fix: Rpm should report the size is wrong, before saying the signatures
are bad.   And up2date should do a better job of downloading the
entire rpm before trying to install it.
Comment 2 Jef Spaleta 2004-02-06 10:40:37 EST

*** This bug has been marked as a duplicate of 111601 ***
Comment 3 Red Hat Bugzilla 2006-02-21 14:00:07 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.